summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorColin Watson <cjwatson@ubuntu.com>2014-11-26 11:31:44 +0000
committerJean-Michel Vourgère <nirgal@debian.org>2015-06-08 00:21:44 +0200
commit82f959d7f6ad7e57cea2e9d85cdb159b719e3c83 (patch)
tree4933635c110639e2c1ad7348f38ccf55b20ef647
parent93030010c45ccd5eeae9aec9bbd3e113e6ccc837 (diff)
downloadapache2-82f959d7f6ad7e57cea2e9d85cdb159b719e3c83.tar.gz
Process actions in trigger states. #787103
-rw-r--r--debian/apache2.postinst2
-rw-r--r--debian/debhelper/apache2-maintscript-helper2
2 files changed, 2 insertions, 2 deletions
diff --git a/debian/apache2.postinst b/debian/apache2.postinst
index 010708c8..e4863bd4 100644
--- a/debian/apache2.postinst
+++ b/debian/apache2.postinst
@@ -132,7 +132,7 @@ execute_deferred_actions ()
cat /var/lib/apache2/deferred_actions |
while read PACKAGE FUNCTION ARG1 ARG2 ARG3
do
- if ! dpkg-query -f '${Status}' -W "$PACKAGE"|grep -q installed ; then
+ if ! dpkg-query -f '${Status}' -W "$PACKAGE"|egrep -q 'installed|triggers-awaited|triggers-pending' ; then
# If the package has been removed again, skip the actions
continue
fi
diff --git a/debian/debhelper/apache2-maintscript-helper b/debian/debhelper/apache2-maintscript-helper
index 37263654..83b0f64d 100644
--- a/debian/debhelper/apache2-maintscript-helper
+++ b/debian/debhelper/apache2-maintscript-helper
@@ -76,7 +76,7 @@ else
fi
APACHE2_MAINTSCRIPT_DEFER=
- if ! dpkg-query -f '${Status}' -W apache2|grep -q installed; then
+ if ! dpkg-query -f '${Status}' -W apache2|egrep -q 'installed|triggers-awaited|triggers-pending'; then
echo "Package apache2 is not configured yet. Will defer actions by package $DPKG_MAINTSCRIPT_PACKAGE."
APACHE2_MAINTSCRIPT_DEFER=/var/lib/apache2/deferred_actions
fi